=== debian/changelog ===
simple-image-reducer (1.0.2-6) unstable; urgency=medium

  * Update Homepage URL

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 17 Jul 2017 13:53:47 +0900

simple-image-reducer (1.0.2-5) unstable; urgency=medium

  * Change vcs from svn to git.
  * Bump Standards-Version to 4.0.0
  * debian/compat: Bump to 10
  * debian/control: Replace python-imaging by python-pil (Closes: #866479)
  * Change Maintainer from PAPT to myself.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 06 Jul 2017 10:14:21 +0900

simple-image-reducer (1.0.2-4) unstable; urgency=medium

  * debian/patcher/fix_exif_module_name: Fix wrong module name.
    (Closes: #821009)
  * debian/control: Bump Standards-Version to 3.9.8.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 09 May 2016 22:23:54 +0900

simple-image-reducer (1.0.2-3) unstable; urgency=medium

  * debian/watch: Move to new location. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 26 Nov 2015 14:37:07 +0900

simple-image-reducer (1.0.2-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * debian/control:
    + debhelper 9
    + Bump Standards-Version to 3.9.6.
  * debian/patches/fix_exif_module_name: Fix an import error. 
    (Closes: #798437)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 26 Nov 2015 14:33:26 +0900

simple-image-reducer (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #607237)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 16 Jan 2011 18:38:47 +0900
