## simple-image-reducer 1.0.2%2Bgit20191008

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,14 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with python3
 
 override_dh_auto_build:
 	dh_auto_build -- SHELL=/bin/bash
 
 override_dh_auto_install:
 	dh_auto_install -- SHELL=/bin/bash
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
