## simple-image-reducer 1.0.2+git20191008

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PKGNAME=simple-image-reducer
-VERSION=1.0.2
+VERSION=1.0.3
 
 SUBDIRS=po
