=== debian/changelog ===
simple-image-reducer (1.0.2+git20191008-2) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Sep 2021 23:07:10 -0400

simple-image-reducer (1.0.2+git20191008-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ TANIGUCHI Takaki ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository.
  * Bump Standards-Version to 4.4.1
  * d/rules: with python3
  * New upstream version 1.0.2+git20191008
    - Migrate to python3 and gio. (Closes: #885479)
  * d/patches: Drop
  * d/control: Change Maintainer to PAPT
  * d/salsa-ci.yml: Add

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 11 Oct 2019 17:30:50 +0900

simple-image-reducer (1.0.2-7) unstable; urgency=medium

  * Bump Stanrads-Version to 4.1.5
  * debian/compat: 11
  * d/control:
    - Move Vcs-* to salsa.d.o.
    - Change priority to optional

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 06 Jul 2018 16:04:03 +0900
