=== debian/control ===
Source: simple-image-reducer
Section: graphics
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 13),
	python3,
	dh-python,
	intltool
Standards-Version: 4.5.1
Homepage: https://github.com/henrythasler/simple-image-reducer
Vcs-Git: https://salsa.debian.org/python-team/packages/simple-image-reducer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/simple-image-reducer

Package: simple-image-reducer
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
	python3-pil,
	python3-gi
Description: GTK application to easily reduce and rotate images
 Simple Image Reducer is an GTK application to easily reduce and rotate
 images. It can be useful for processing digital photos before sending by
 email or uploading on the Web. Image files can be supplied to
 the application from the file manager using the context menu "Open with...",
 or dragging files to the main window.
