=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,3 @@
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
-
